>From e4c9c46ab1909c05323da28c057c8d64fc6d44a8 Mon Sep 17 00:00:00 2001
From: Andrew Straw <strawman@...36...>
Date: Thu, 21 May 2009 16:43:55 -0700
Subject: [PATCH 3/3] add example of dropped spines

---
 examples/pylab_examples/dropspines.py |   70 +++++++++++++++++++++++++++++++++
 examples/tests/backend_driver.py      |    1 +
 2 files changed, 71 insertions(+), 0 deletions(-)
 create mode 100644 examples/pylab_examples/dropspines.py

diff --git a/examples/pylab_examples/dropspines.py b/examples/pylab_examples/dropspines.py
new file mode 100644
index 0000000..41868d4
--- /dev/null
+++ b/examples/pylab_examples/dropspines.py
@@ -0,0 +1,70 @@
+import matplotlib.pyplot as plt
+import numpy as np
+from matplotlib.pyplot import show
+
+fig = plt.figure()
+x = np.linspace(0,2*np.pi,100)
+y = 2*np.sin(x)
+ax = fig.add_subplot(1,2,1)
+ax.set_title('dropped spines')
+ax.plot(x,y)
+for loc, spine in ax.spines.iteritems():
+    if loc in ['left','bottom']:
+        spine.set_offset(10) # offset by 10 points
+    elif loc in ['right','top']:
+        spine.set_color('none') # don't draw spine
+    else:
+        raise ValueError('unknown spine location: %s'%loc)
+
+# turn off ticks where there is no spine
+ax.xaxis.set_ticks_position('bottom')
+ax.yaxis.set_ticks_position('left')
+
+ax = fig.add_subplot(1,2,2,sharex=ax)
+ax.plot(x,y)
+ax.set_title('normal spines')
+
+# ----------------------------------------------------
+
+def adjust_spines(ax,spines):
+    for loc, spine in ax.spines.iteritems():
+        if loc in spines:
+            spine.set_offset(10) # offset by 10 points
+        else:
+            spine.set_color('none') # don't draw spine
+
+    # turn off ticks where there is no spine
+    if 'left' in spines:
+        ax.yaxis.set_ticks_position('left')
+    else:
+        # no yaxis ticks
+        ax.yaxis.set_ticks([])
+
+    if 'bottom' in spines:
+        ax.xaxis.set_ticks_position('bottom')
+    else:
+        # no xaxis ticks
+        ax.xaxis.set_ticks([])
+
+fig = plt.figure()
+
+x = np.linspace(0,2*np.pi,100)
+y = 2*np.sin(x)
+
+ax = fig.add_subplot(2,2,1)
+ax.plot(x,y)
+adjust_spines(ax,['left'])
+
+ax = fig.add_subplot(2,2,2)
+ax.plot(x,y)
+adjust_spines(ax,[])
+
+ax = fig.add_subplot(2,2,3)
+ax.plot(x,y)
+adjust_spines(ax,['left','bottom'])
+
+ax = fig.add_subplot(2,2,4)
+ax.plot(x,y)
+adjust_spines(ax,['bottom'])
+
+show()
diff --git a/examples/tests/backend_driver.py b/examples/tests/backend_driver.py
index 6e5f889..46887a3 100644
--- a/examples/tests/backend_driver.py
+++ b/examples/tests/backend_driver.py
@@ -73,6 +73,7 @@ pylab_files = [
     'date_demo_rrule.py',
     'date_index_formatter.py',
     'dolphin.py',
+    'dropspines.py',
     'ellipse_collection.py',
     'ellipse_demo.py',
     'ellipse_rotated.py',
-- 
1.6.2.1

